有谁手动升级过glibc吗?

编译安装或者制作Deb包
回复
klose911
帖子: 106
注册时间: 2008-02-01 17:18
送出感谢: 0
接收感谢: 0

有谁手动升级过glibc吗?

#1

帖子 klose911 » 2008-08-21 22:20

因为现在越来越多的软件要求glibc版本大于2.4 我的ubuntu6.06官方只有2.36,
我知道升级glibc风险很大, 所以请问兄弟姐妹有谁自己手动编译升级过glibc的经验可以交流吗?
头像
HuntXu
论坛版主
帖子: 5778
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#2

帖子 HuntXu » 2008-08-22 17:58

编译过,没见什么问题呀...
倒是gcc升了4.3感觉怪怪的...
HUNT Unfortunately No Talent...
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 BigSnake.NET » 2008-08-22 18:02

危险性很大
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
hubert_star
论坛版主
帖子: 5372
注册时间: 2007-10-29 22:12
系统: OSX 10.9 + Ub 1304
来自: 江苏南京
送出感谢: 0
接收感谢: 5 次

#4

帖子 hubert_star » 2008-08-22 18:04

如果要升级glibc,最好的做法是顺次升级发行版版本
佛经说,人有八苦: 生、老、病、死、求不得、怨憎、爱别离、五阴盛 故我苦!
圣经说,人有七罪: 饕餮、贪婪、懒惰、淫欲、傲慢、嫉妒和暴怒  故我有罪!

我这篇帖子里面没有任何攻击我们伟大的中华人民共和国政府和任劳任怨的人民公仆(和本论坛高素质的版主)的文字和含义;

特此声明!

有些事,我们明知道是错的,也要去坚持,因为不甘心;有些人,我们明知道是爱的,也要去放弃,因为没结局;有时候,我们明知道没路了,却还在前行,因为习惯了。

欢迎来我的新浪微博@me
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 想入非非 » 2008-08-22 18:33

最好还是升级系统的版本。。。 :shock:
Ubuntu User
头像
HuntXu
论坛版主
帖子: 5778
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#6

帖子 HuntXu » 2008-08-22 18:36

建议lz自己编译指定别的位置,别替换现有的就行了吧...需要依赖的,指定include...
HUNT Unfortunately No Talent...
回复

回到 “编译或打包”